%define url_ver %(echo %{version} | cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-whiskermenu-plugin
Version:	2.8.2
Release:	%mkrel 1
Summary:	An alternate application launcher for Xfce
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		http://gottcode.org/xfce4-whiskermenu-plugin/
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: git
BuildRequires: cmake
BuildRequires: lib64xfce4util-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64garcon-devel
BuildRequires: lib64exo-devel
BuildRequires: lib64xfce4panel2.0-devel
BuildRequires: accountsservice-devel
BuildRequires: lib64gtk-layer-shell-devel

Requires:	xfce4-panel
Requires:	hicolor-icon-theme

%description
Alternate application launcher for Xfce. When you open it you are shown
a list of applications you have marked as favorites. You can browse through
all of your installed applications by clicking on the category buttons on the
side. Top level categories make browsing fast, and simple to switch between.
Additionally, Whisker Menu keeps a list of the last ten applications
that you've launched from it.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
	-DCMAKE_INSTALL_DO_STRIP:BOOL=OFF \
	-DCMAKE_STRIP:PATH=/bin/true
	
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/xfce4-popup-whiskermenu
%{_libdir}/xfce4/panel/plugins/libwhiskermenu.so
%{_datadir}/xfce4/panel/plugins/whiskermenu.desktop
%{_datadir}/icons/hicolor
%{_mandir}


%changelog
* Tue Dec 26 2023 tex - 2.8.2-1pclos2024
- new version

* Tue Nov 21 2023 tex - 2.8.1-1pclos2023
- new version

* Wed Aug 30 2023 tex - 2.8.0-1pclos2023
- new version

* Sat Apr 29 2023 tex - 2.7.3-1pclos2023
- new version

* Wed Jan 18 2023 tex - 2.7.2-1pclos2023
- new version

* Fri Dec 03 2021 tex - 2.6.2-1pclos2021
- new version

* Sat Sep 25 2021 tex - 2.6.0-1pclos2021
- new version

* Sun Jan 24 2021 tex - 2.5.3-1pclos2021
- new version

* Sun Jan 17 2021 tex - 2.5.2-1pclos2021
- new version

* Mon Jan 04 2021 tex - 2.5.1-1pclos2021
- new version

* Fri Dec 25 2020 tex - 2.5.0-1pclos2020
- new version 2.5.0
